Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416892 - SciTE build is missing lua
Summary: SciTE build is missing lua
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: scite
Version: 25
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Johan Swensson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 17:32 UTC by Byron Hawkins
Modified: 2017-12-12 10:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:40:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Byron Hawkins 2017-01-26 17:32:30 UTC
Description of problem:

The build of SciTE available on Fedora via dnf does not have lua support. This entirely defeats the purpose of using SciTE. Also, the package name should indicate that lua is missing, for example: "scite.no-lua.x86_64". But it would be better to just enable lua. I built SciTE from source with lua support in 5 minutes. So why not? 


Version-Release number of selected component (if applicable):

3.6.7-1.fc26


How reproducible:

Always and everywhere, lua is missing.

Actual results:

None of the good features work.


Expected results:

The good features should work, just like they do in my standard build that I made from the standard source. 

Additional info:

I didn't do anything to add lua support. It works on Fedora exactly the way you download the source.

Comment 1 Johan Swensson 2017-08-12 12:49:09 UTC
The reason why lua was not initially included was due to it required a bundled lua. Did you build it with the bundled lua or the one shipped in Fedora? If you have managed to build it with the Fedora lua do feel free to upload patches to this bugzilla.

Comment 2 Fedora End Of Life 2017-11-16 19:25:23 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:40:08 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.